Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.dnd
Class DropTargetAdapter

    java.lang.Object
      |
      +--java.awt.dnd.DropTargetAdapter

All Implemented Interfaces:
  DropTargetListener, EventListener

public abstract class DropTargetAdapter
extends Object
implements DropTargetListener

An abstract adapter class for receiving drop target events. The methods in this class are empty. This class exists only as a convenience for creating listener objects.

Extend this class to create a `DropTargetEvent` listener and override the methods for the events of interest. (If you implement the `DropTargetListener` interface, you have to define all of the methods in it. This abstract class defines a null implementation for every method except `drop(DropTargetDropEvent)`, so you only have to define methods for events you care about.) You must provide an implementation for at least `drop(DropTargetDropEvent)`. This method cannot have a null implementation because its specification requires that you either accept or reject the drop, and, if accepted, indicate whether the drop was successful.

Create a listener object using the extended class and then register it with a `DropTarget`. When the drag enters, moves over, or exits the operable part of the drop site for that `DropTarget`, when the drop action changes, and when the drop occurs, the relevant method in the listener object is invoked, and the `DropTargetEvent` is passed to it.

The operable part of the drop site for the `DropTarget` is the part of the associated `Component`'s geometry that is not obscured by an overlapping top-level window or by another `Component` higher in the Z-order that has an associated active `DropTarget`.

Since:
  1.4
See Also:
  `DropTargetEvent`, `DropTargetListener`

Constructor Summary
`DropTargetAdapter()`

Method Summary
`void` | `dragEnter(DropTargetDragEvent dtde)` Called while a drag operation is ongoing, when the mouse pointer enters the operable part of the drop site for the `DropTarget` registered with this listener.
`void` | `dragExit(DropTargetEvent dte)` Called while a drag operation is ongoing, when the mouse pointer has exited the operable part of the drop site for the `DropTarget` registered with this listener.
`void` | `dragOver(DropTargetDragEvent dtde)` Called when a drag operation is ongoing, while the mouse pointer is still over the operable part of the drop site for the `DropTarget` registered with this listener.
`void` | `dropActionChanged(DropTargetDragEvent dtde)` Called if the user has modified the current drop gesture.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.awt.dnd.DropTargetListener
`drop`

Constructor Detail

### DropTargetAdapter

    public DropTargetAdapter()

Method Detail

### dragEnter

    public void dragEnter(DropTargetDragEvent dtde)

  Called while a drag operation is ongoing, when the mouse pointer enters the operable part of the drop site for the `DropTarget` registered with this listener.

  Specified by:
    `dragEnter` in interface `DropTargetListener`
  Parameters:
    `dtde` - the `DropTargetDragEvent`

### dragOver

    public void dragOver(DropTargetDragEvent dtde)

  Called when a drag operation is ongoing, while the mouse pointer is still over the operable part of the drop site for the `DropTarget` registered with this listener.

  Specified by:
    `dragOver` in interface `DropTargetListener`
  Parameters:
    `dtde` - the `DropTargetDragEvent`

### dropActionChanged

    public void dropActionChanged(DropTargetDragEvent dtde)

  Called if the user has modified the current drop gesture.

  Specified by:
    `dropActionChanged` in interface `DropTargetListener`
  Parameters:
    `dtde` - the `DropTargetDragEvent`

### dragExit

    public void dragExit(DropTargetEvent dte)

  Called while a drag operation is ongoing, when the mouse pointer has exited the operable part of the drop site for the `DropTarget` registered with this listener.

  Specified by:
    `dragExit` in interface `DropTargetListener`
  Parameters:
    `dte` - the `DropTargetEvent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.